Name: gitg
Version: 0.0.5
Release: alt1
Summary: is a git repository viewer targeting gtk+/GNOME

Group: Development/Other
License: GPL
URL: http://trac.novowork.com/gitg/

Source: %name-%version.tar
Patch0: gitg-desktop.patch
Packager: Vladimir Lettiev <crux@altlinux.ru>

BuildPreReq: rpm-build-gnome
BuildRequires: libgtk+2-devel libgio-devel libGConf-devel gnome-common intltool libgtksourceview-devel

%description
gitg is a git repository viewer targeting gtk+/GNOME. One of its main objectives is to provide a more unified user experience for git frontends across multiple desktops. It does this not be writing a cross-platform application, but by close collaboration with similar clients for other operating systems (like GitX for OS X).

gitg targets cases where it is useful to provide a graphical representation of git data or actions. The history view is a good example where graphical representation helps to get an overview of the repository. gitg does not aim to be an advanced tool which allows access to every feature of git through a graphical interface, it will however try to incorporate common actions which might require multiple actions on the command line (like staging, unstaging, reverting and committing).

%prep
%setup
%patch0 -p2

%build
./autogen.sh
%configure
%make_build

%install
make install DESTDIR=%buildroot
mkdir -p %buildroot%_liconsdir
mv %buildroot%_datadir/pixmaps/* %buildroot%_liconsdir
%find_lang %name

%files -f %name.lang
%gconf_schemasdir/%name.schemas
%_desktopdir/%name.desktop
%_datadir/%name
%_bindir/%name
%_man1dir/%{name}*
%_liconsdir/*
%doc AUTHORS COPYING MAINTAINERS NEWS README

%changelog
* Wed Sep 30 2009 Vladimir Lettiev <crux@altlinux.ru> 0.0.5-alt1
- 0.0.5
- patch from ktirf@ (closes: #21305)

* Sun Apr 26 2009 Vladimir Lettiev <crux@altlinux.ru> 0.0.3-alt1
- initial build

